### Class

# Foundry GitCloner

#### Description

    final class Foundry.GitCloner : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_git_cloner_new

No description available.

#### Instance methods

###### foundry_git_cloner_clone

`pty_fd` is copied and may be closed after calling this function.

###### foundry_git_cloner_dup_author_email

No description available.

###### foundry_git_cloner_dup_author_name

No description available.

###### foundry_git_cloner_dup_directory

No description available.

###### foundry_git_cloner_dup_remote_branch_name

No description available.

###### foundry_git_cloner_dup_uri

No description available.

###### foundry_git_cloner_get_bare

If `FoundryGitCloner:directory` should be used as the destination directory instead of a `.git` subdirectory.

###### foundry_git_cloner_set_author_email

No description available.

###### foundry_git_cloner_set_author_name

No description available.

###### foundry_git_cloner_set_bare

No description available.

###### foundry_git_cloner_set_directory

No description available.

###### foundry_git_cloner_set_remote_branch_name

No description available.

###### foundry_git_cloner_set_uri

No description available.

###### foundry_git_cloner_validate

Validates the values of the cloner.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.GitCloner:author-email

No description available.

###### Foundry.GitCloner:author-name

No description available.

###### Foundry.GitCloner:bare

No description available.

###### Foundry.GitCloner:directory

No description available.

###### Foundry.GitCloner:remote-branch-name

No description available.

###### Foundry.GitCloner:uri

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitClonerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.